/*
**      ditoext.library 2.0
**      -------------------
**
**      Language support library for DITO
**
**      (C) Copyright by Dirk Holtwick, 1996
**      All Rights Reserved.
*/

#ifndef LIBRARIES_DITOEXT_H
#define LIBRARIES_DITOEXT_H

/*
**  Minimal version number
*/

#define DITOEXT_VMIN  2

#define DITO_DoUpdate 1

/*
**  The structure that will be returned, if
**  an input interface has been created.
**  The only known Object is the first one and
**  this is a pointer to the whole created
**  MUI input group.
*/

struct DITO_InputData
{
	Object *obj;
};

/*
**  The same as above, but for the output group.
*/

struct DITO_OutputData
{
	Object *obj;
};

/*
**  Structure that contents further informations
**  of the extension. I think the names are comment
**  enough :)
*/

struct DITO_ExtInfo
{
	char  *Language,
			*Author,
			*Version,
			*Date,
			*Description;
	UWORD NumTypes;
	char  **Types;
};

#endif

